﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Kresleni
{
    public partial class MyPoint : UserControl
    {
        public MyPoint()
        {
            InitializeComponent();
        }

        int X0, Y0;
        bool stisknuto;

        private void MyPoint_MouseDown(object sender, MouseEventArgs e)
        {
            X0 = e.X;
            Y0 = e.Y;
            stisknuto = true;
        }

        private void MyPoint_MouseUp(object sender, MouseEventArgs e)
        {
            stisknuto = false;
        }

        private void MyPoint_MouseMove(object sender, MouseEventArgs e)
        {
            if (stisknuto)
            {
                if (e.Button == MouseButtons.Left)
                {
                    int x = Location.X + e.X - X0;
                    int y = Location.Y + e.Y - Y0;
                    Location = new Point(x, y);
                }
                else if (e.Button == MouseButtons.Right)
                {
                    int w = Size.Width + e.X - X0;
                    int h = Size.Height + e.Y - Y0;
                    Size = new Size(w, h);
                    X0 = e.X;
                    Y0 = e.Y;
                }
            }
        }

    }
}
